Bitcoin Forum
December 09, 2016, 02:18:35 AM *
News: Latest stable version of Bitcoin Core: 0.13.1  [Torrent].
 
   Home   Help Search Donate Login Register  
Pages: [1]
  Print  
Author Topic: Stream SDK 2.1 , 2.2 , 2.3 problems  (Read 7118 times)
Ali_Ze
Newbie
*
Offline Offline

Activity: 3


View Profile
February 23, 2011, 10:58:20 AM
 #1

hay guys im having a few issues.

installing stream 2.3 gives me ~220mhs on my 5850's im hearing they should be ~250mhs

ive installed the sdk 2.2 but my preformance drops to like 3mhs on all 3 of my machines.

and 2.1 does nothing,
Poclbm doesent even hash

thoughts?

thanks.

oo im running windows 7 x64
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
Ali_Ze
Newbie
*
Offline Offline

Activity: 3


View Profile
February 24, 2011, 08:08:06 AM
 #2

nothin?
Cablesaurus
Sr. Member
****
Offline Offline

Activity: 302



View Profile WWW
February 24, 2011, 08:53:27 AM
 #3

I have this same issue with Win 7 64b and Ati Stream 2.2 with the poclbm miner and it drops down real low too. Not everyone reports this problem but I have the same issue with khash dropping down to basically nothing on a 5970 with the Stream 2.2 (2.3 works fine, but it's supposedly slower than its supposed to be as you mention)

Anyone else run into this?

PCIe Extender Cables; Dummy Plugs, Fans; PSU Cables; Cases & More
Visit www.Cablesaurus.com and our forum thread at http://bitcointalk.org/index.php?topic=6128.0
DiabloD3
Legendary
*
Offline Offline

Activity: 1162


DiabloMiner author


View Profile WWW
February 24, 2011, 09:06:13 AM
 #4

As I've said in the DiabloMiner thread repeatedly, with 5xxx, use 10.10 or 10.11 with 2.1. All other combinations are inferior.

TurdHurdur
Full Member
***
Offline Offline

Activity: 217


View Profile
February 24, 2011, 09:22:36 AM
 #5

After installing 2.2, the device numbers got switched for me. Try running Poclbm without any arguments to determine which device you're using, the 3mhs sounds like your CPU became device 0. If that's the case, switch to the other device(s).
sethsethseth
Sr. Member
****
Offline Offline

Activity: 256


Not trusting third parties with my private keys


View Profile
February 25, 2011, 05:31:35 AM
 #6

anyone know how to downgrade from sdk 2.3?  2.1 and 2.2 are not working for me.  I noticed when I uninstalled 2.3 and installed 2.1 GPU CAPS viewer said 2.3 was the current version, which makes me think the problem is that it is not uninstalling completely.

SealsWithClubs poker room has  over 400 players online. Buy in from .01 to 60btc.      BTCSportsMatch lets you bet sports with vig free lines!  Best kept secret in bitcoin....          LocalBitcoins.com is very user-friendly now for bank transfers.  You don't have to live close to trade when in the same currency area.           
Electrum client is awesome. Try it. And please stop sending bitcoins to sites run by security newbies, or don't complain when you lose everything.
Garrett Burgwardt
Sr. Member
****
Offline Offline

Activity: 350



View Profile
February 25, 2011, 05:35:01 AM
 #7

Yeah I can't switch from 2.3 to 2.1, neither of my cards will even hash.
sethsethseth
Sr. Member
****
Offline Offline

Activity: 256


Not trusting third parties with my private keys


View Profile
February 27, 2011, 05:55:00 AM
 #8

We need someone to install sdk 2.3 on a windows 7 rig while monitoring with an uninstall manager, then uninstall and use the manager to see what is getting left on the drive so we can delete it and get a clean 2.1 install.

SealsWithClubs poker room has  over 400 players online. Buy in from .01 to 60btc.      BTCSportsMatch lets you bet sports with vig free lines!  Best kept secret in bitcoin....          LocalBitcoins.com is very user-friendly now for bank transfers.  You don't have to live close to trade when in the same currency area.           
Electrum client is awesome. Try it. And please stop sending bitcoins to sites run by security newbies, or don't complain when you lose everything.
Psychoactive
Jr. Member
*
Offline Offline

Activity: 55


View Profile
February 27, 2011, 08:09:54 AM
 #9

anyone know how to downgrade from sdk 2.3?  2.1 and 2.2 are not working for me.  I noticed when I uninstalled 2.3 and installed 2.1 GPU CAPS viewer said 2.3 was the current version, which makes me think the problem is that it is not uninstalling completely.

sethsethseth, I've also had problems with ATI CCC when upgrading and downgrading. I'm not sure this is relevant for your but you could try to do as explained in this page : http://www.rage3d.com/board/showthread.php?t=33862974 .
Here is the interesting part :
"This is an old thread, but it's one of the top search results for "ccc won't run" so I wanted to post another possible solution here. My solution was to clear out the Windows GAC (Global Assembly Cache). In Windows 7, you can browse directly to "C:\Windows\assembly". Sort by "Public Key Token", then delete everything with the Token "90ba9c70f846762e" (ATI's key). You'll obviously need Administrator privileges. No reboot needed either. Reinstalled CCC and it ran perfectly!

The GAC lets you share DLL's that are the same version number. If it's in the GAC, any installer will NOT install a new DLL - it'll use the one in the GAC. If the GAC DLL is corrupted, you're majorly SOL.

When I reinstalled the CCC, it took longer to install then it had before. Presumably, this was due to the installer copying all the correct DLL's to my hard drive. And no ATI DLL's have made it back into my GAC.

To give credit to the original poster, here's the page I found this fix on:

http://www.hardwareheaven.com/mobili...ol-center.html "

sethsethseth
Sr. Member
****
Offline Offline

Activity: 256


Not trusting third parties with my private keys


View Profile
March 02, 2011, 03:59:39 PM
 #10

What parts of the sdk are necessary to run the miner?  Art thought it was just only the -dev .msi can anyone verify this?

SealsWithClubs poker room has  over 400 players online. Buy in from .01 to 60btc.      BTCSportsMatch lets you bet sports with vig free lines!  Best kept secret in bitcoin....          LocalBitcoins.com is very user-friendly now for bank transfers.  You don't have to live close to trade when in the same currency area.           
Electrum client is awesome. Try it. And please stop sending bitcoins to sites run by security newbies, or don't complain when you lose everything.
sethsethseth
Sr. Member
****
Offline Offline

Activity: 256


Not trusting third parties with my private keys


View Profile
March 05, 2011, 09:54:56 PM
 #11

We need someone to install sdk 2.3 on a windows 7 rig while monitoring with an uninstall manager, then uninstall and use the manager to see what is getting left on the drive so we can delete it and get a clean 2.1 install.

we really need someone to get this done.  tons of people in the irc channels have trouble with 2.3 and we can't downgrade.  my roommates computer is passworded or I would do it on his:)

SealsWithClubs poker room has  over 400 players online. Buy in from .01 to 60btc.      BTCSportsMatch lets you bet sports with vig free lines!  Best kept secret in bitcoin....          LocalBitcoins.com is very user-friendly now for bank transfers.  You don't have to live close to trade when in the same currency area.           
Electrum client is awesome. Try it. And please stop sending bitcoins to sites run by security newbies, or don't complain when you lose everything.
Grinder
Legendary
*
Offline Offline

Activity: 1269


View Profile
March 05, 2011, 10:33:39 PM
 #12

Have you tried following the instructions in the installation notes?

• Uninstall any prior ATI Stream SDK you have on your system. To do this:
a. Reboot.
b. Use Programs and Features (Windows Vista or 7) or Add/Remove Programs (Windows XP) to uninstall the prior SDK files.
c. Manually remove any ATI Stream directories under My Documents and under Program Files or Program Files (x86).
d. Search for, and remove, all atiocl* files on the system.

• If a pre-lease version of SDK 2.3 is on your system, follow the uninstall directions above; then, ensure that the previously generated temporary folder is also deleted. Paths to this folder are:
XP 32-bit: C:\ATI\SUPPORT\streamsdk_2-3_xp32
XP 64-bit: C:\ATI\SUPPORT\streamsdk_2-3_xp64
Vista and Win7 32-bit: C:\ATI\SUPPORT\streamsdk_2-3_win732
Vista and Win7 64-bit: C:\ATI\SUPPORT\streamsdk_2-3_win764
sethsethseth
Sr. Member
****
Offline Offline

Activity: 256


Not trusting third parties with my private keys


View Profile
March 06, 2011, 12:59:50 AM
 #13

thanks so much grinder, your instructions work for removing 2.3 completely.  Now my problem is that I can get 2.2 to run, but not 2.1 without getting this error:

File "poclbm.py", line 3, in <module>
File "pyopencl\_init_.pyc", line 3, in <module>
File "pyopencl\cl.pyc", line 12, in <module>
File "pyopencl\_cl.pyc", line 10, in_load
ImportError: DLL load failed: The specified module could not be found

and the gui miner says "no opencl devices found" even though GPUcaps viewer runs the opencl demo.

I've tried this on 11.1 and 10.11 display drivers and my rig has two 5970's.

Also, it's only necessary to install the -dev part of the sdk package.

SealsWithClubs poker room has  over 400 players online. Buy in from .01 to 60btc.      BTCSportsMatch lets you bet sports with vig free lines!  Best kept secret in bitcoin....          LocalBitcoins.com is very user-friendly now for bank transfers.  You don't have to live close to trade when in the same currency area.           
Electrum client is awesome. Try it. And please stop sending bitcoins to sites run by security newbies, or don't complain when you lose everything.
Grinder
Legendary
*
Offline Offline

Activity: 1269


View Profile
March 06, 2011, 10:32:01 AM
 #14

I get the same error when trying to downgrade from 2.2 to 2.1.
Garrett Burgwardt
Sr. Member
****
Offline Offline

Activity: 350



View Profile
March 12, 2011, 08:29:06 PM
 #15

Uninstall all ATI software, including Drivers, use
http://www.guru3d.com/category/driversweeper/
To completely clear out your ati drivers.

Then install 10.11 or 11.2, it doesn't matter which, and reboot.

When you have rebooted, install Stream SDK 2.1

http://download2-developer.amd.com/amd/Stream20GA/ati-stream-sdk-v2.1-vista-win7-64.exe

Once that is installed, reboot again, and use http://bitcoinpool.com/poclbm-mod.zip

As your miner.

I'm currently getting 315 mh/s at 815 core clock on my 5970, so I'd expect great things from a 5870
Lardie
Newbie
*
Offline Offline

Activity: 18


View Profile
March 13, 2011, 03:08:31 AM
 #16

I switched from SDK 2.2 to 2.1 with 10.11 and the difference with my 5870 is small. It went from 312 MH/s to 315.
Garrett Burgwardt
Sr. Member
****
Offline Offline

Activity: 350



View Profile
March 14, 2011, 05:10:29 PM
 #17

Seems BTCPool operators didn't like other people using their modified miner for hashing on any other pool, it now no longer works.

In my opinion, that just makes them look childish.
bombo999
Member
**
Offline Offline

Activity: 107


View Profile
March 14, 2011, 05:20:42 PM
 #18

I agree, very childish, so much so that I quit their pool.
Pages: [1]
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!